/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-family: FreeSerif;
  color: #fdfdfd;
}

body {
  background-color: #122f2d;
  color: #fdfdfd;
  font-family: FreeSerif;
}

nav {
  margin: 1em auto 3em auto;
  width: min(1000px, 100%);
}

nav ul {
  display: flex;
  align-items: center;
  list-style-type: none;
  gap: 2em;
}

nav li:first-child {
  margin-right: auto;
  font-family: "FreeSerif";
  font-weight: bold;
}

nav a {
  text-decoration: none;
  color: #fdfdfd;
}

nav a:hover {
  text-decoration: underline;
}

header, section {
  margin: 2em auto;
  width: min(75em, 100%);
  background-color: #30615d;
  padding: min(2em, 15%);
  border-radius: 1em;
  border: 2px solid;
  border-color: #e9b134;
}

.flex-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 3em;
}

header img {
  max-width: 100%;
  border-radius: 1em;
  border: 2px solid;
  object-fit: cover;
  object-position: bottom;
  border-color: #e9b134;
}

.text-container {
  flex: 0 1 34em;
}

footer {
  background: #30615d;
  color: #fdfdfd;
  padding: min(5em, 8%);
  border-color: #e9b134;
}